Trang splash

GET https://tistos.com/api/splash-pages/
curl --request GET \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
Tham số Chi tiết Mô tả
search Tùy chọn Chuỗi Chuỗi tìm kiếm.
search_by Tùy chọn Chuỗi Bạn đang tìm kiếm theo lĩnh vực nào. Các giá trị cho phép là: name.
datetime_field Tùy chọn Chuỗi Giá trị cho phép: datetime, last_datetime
datetime_start Tùy chọn Chuỗi Lọc kết quả bắt đầu từ ngày giờ này. Định dạng Y-m-d H:i:s.
datetime_end Tùy chọn Chuỗi Lọc kết quả đến ngày giờ này. Định dạng Y-m-d H:i:s.
order_by Tùy chọn Chuỗi Trường nào để sắp xếp kết quả. Các giá trị cho phép là: splash_page_id, datetime, last_datetime, name.
order_type Tùy chọn Chuỗi Thứ tự của các kết quả. Các giá trị cho phép là: ASC cho thứ tự tăng dần, và DESC cho thứ tự giảm dần.
page Tùy chọn Integer Số trang mà bạn muốn nhận kết quả. Mặc định là 1.
results_per_page Tùy chọn Integer Bạn muốn bao nhiêu kết quả trên mỗi trang. Các giá trị cho phép là: 10, 25, 50, 100, 250, 500, 1000. Mặc định là 25.
{
    "data": [
        {
            "id": 1,
            "name": "Development",
            "color": "#0e23cc",
            "last_datetime": null,
            "datetime": "2026-07-18 12:44:03",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/projects?page=1",
        "last": "https://tistos.com/api/projects?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/projects?page=1"
    }
}
GET https://tistos.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "name": "Development",
        "color": "#0e23cc",
        "last_datetime": null,
        "datetime": "2026-07-18 12:44:03",
    }
}
POST https://tistos.com/api/projects
Tham số Chi tiết Mô tả
name Required Chuỗi -
title Tùy chọn Chuỗi -
logo Tùy chọn Tệp tin -
favicon Tùy chọn Tệp tin -
opengraph Tùy chọn Tệp tin -
description Tùy chọn Chuỗi -
secondary_button_name Tùy chọn Chuỗi -
secondary_button_url Tùy chọn Chuỗi -
custom_css Tùy chọn Chuỗi -
custom_js Tùy chọn Chuỗi -
ads_header Tùy chọn Chuỗi -
ads_footer Tùy chọn Chuỗi -
link_unlock_seconds Tùy chọn Integer -
auto_redirect Tùy chọn Boolean -
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
    "data": {
        "id": 1
    }
}
POST https://tistos.com/api/splash-pages/{splash_page_id}
Tham số Chi tiết Mô tả
name Tùy chọn Chuỗi -
title Tùy chọn Chuỗi -
logo Tùy chọn Tệp tin -
favicon Tùy chọn Tệp tin -
opengraph Tùy chọn Tệp tin -
description Tùy chọn Chuỗi -
secondary_button_name Tùy chọn Chuỗi -
secondary_button_url Tùy chọn Chuỗi -
custom_css Tùy chọn Chuỗi -
custom_js Tùy chọn Chuỗi -
ads_header Tùy chọn Chuỗi -
ads_footer Tùy chọn Chuỗi -
link_unlock_seconds Tùy chọn Integer -
auto_redirect Tùy chọn Boolean -
curl --request POST \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
    "data": {
        "id": 1
    }
}
DELETE https://tistos.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \